      !
      ! Sample Program for computing geopotential
      !

      implicit none

	integer*2 M
!	integer*2, parameter :: Nmax = 2190  ! Load full model up to n,m <= 2190
	integer*2, parameter :: Nmax = 10   ! We wanna use only up to 10
      real*8 x(3), V
      real*8 GM, Ae
      real*8 C(0:Nmax,0:Nmax), S(0:Nmax,0:Nmax)

      ! Load GM, Ae and harmonic coefficients C and S
      call read_EGM2008 (Nmax, GM, Ae, C, S)

      ! Sample ECEF position vector [m]
	x(1) = 6000000.d0
	x(2) = -4000000.d0
	x(3) = 5000000.d0

      ! set order/degree M <= Nmax
      M = 9

      ! Routine to compute geopotential
      call Leg_ForCol_Pot (Nmax, M, Ae, GM, C, S, X, V)

      ! Result shoud read: 9  45425152.3018642
      print*, M, V

      stop
      end
